Skip to main content

suix_getBalance

POST

Return the total coin balance for one coin type, owned by the address owner.
param[0]
ownerstringrequired
The owner's Sui address
param[1]
coinTypestringrequired
Optional type names for the coin (e.g., 0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC), default to 0x2::sui::SUI if not specified.
Responses
jsonrpcstring
coinObjectCountintegerrequired
coinTypestringrequired
lockedBalanceobjectrequired
totalBalancestringrequired
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_getBalance",
"params": [
"0xa6f5a7953a75dc632e696cabe60560522a017bf2fb0bd930d1ec22c06f1ee4e4",
"0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC"
]
}'